summaryrefslogtreecommitdiffstats
path: root/system/wine/wine.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/wine/wine.SlackBuild')
-rw-r--r--system/wine/wine.SlackBuild55
1 files changed, 37 insertions, 18 deletions
diff --git a/system/wine/wine.SlackBuild b/system/wine/wine.SlackBuild
index b4b1aee43a..09eccb54ff 100644
--- a/system/wine/wine.SlackBuild
+++ b/system/wine/wine.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for wine
-# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
+# Copyright 2006-2008 Robby Workman Northport, AL, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,43 +22,63 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by the SlackBuilds.org project
+# Thanks to Carlos Corbacho for the diff to support building on 64 bit
PRGNAM=wine
-VERSION=0.9.38
+VERSION=${VERSION:-0.9.58}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+# Parallel compilation support
+JOBS=${JOBS:-1}
+
# If you have a video card that supports hardware accelerated OpenGL,
# then set the variable below to "YES" - otherwise, "NO"
# This can be specified on the command line when calling the build script:
# OPENGL=NO ./wine.SlackBuild
OPENGL=${OPENGL:-YES}
-# We used to support applying some patches for proper WoW operation,
-# but they should not be needed any more. The link below is staying
-# just in case, though - it's handy reading too... :)
-# http://appdb.winehq.org/appview.php?versionId=5606
+# On x86_64, Wine is built as a 32 bit application, as Wine's 64 bit support
+# isn't much use at the moment (it's non functional, for developers only)
+# http://wiki.winehq.org/Wine64
+# (On Slamd64, you must have the c/ series installed to build Wine)
+
+DISTRO=${DISTRO:-slackware}
+
+if [ $DISTRO = slackware ]; then
+ PKGARCH=$ARCH
+else
+ PKGARCH=${ARCH}_${DISTRO}
+fi
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
# If OPENGL=YES above, then enable opengl; otherwise, disable it.
if [ "$OPENGL" = "YES" ]; then
@@ -74,15 +94,14 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--with-x \
--disable-debug \
- --${do_opengl}able-opengl \
- || exit 1
+ --${do_opengl}able-opengl
-make depend || exit 1
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make -j${JOBS} depend
+make -j${JOBS}
+make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
@@ -101,4 +120,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$PKGARCH-$BUILD$TAG.tgz